-- OPENXML
DECLARE @idoc int, @doc xml;

SELECT
	@doc	= CAST(BulkColumn AS XML)
FROM OPENROWSET(
	BULK 'C:\Users\Administrator\Documents\JPK_Test\JPK_WB.xml', 
	SINGLE_BLOB
) AS x;

SELECT @doc;

--Create an internal representation of the XML document.
EXEC sp_xml_preparedocument
	@idoc OUTPUT,
	@doc,
	'<x:jpk xmlns:x="http://jpk.mf.gov.pl/wzor/2016/03/09/03092/" />'
;

-- Execute a SELECT statement that uses the OPENXML rowset provider.
SELECT
	*
FROM OPENXML (@idoc, '/x:JPK/x:WyciagCtrl', 2)
WITH (
	LiczbaWierszy		INT				'x:LiczbaWierszy',
    SumaObciazen		NUMERIC(18, 2)	'x:SumaObciazen',
	SumaUznan			NUMERIC(18, 2)	'x:SumaUznan'
);

EXEC sp_xml_removedocument @idoc;