USE JPK;
GO

-- no validation
IF OBJECT_ID(N'dbo.KontrahentXML', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.KontrahentXML';
GO

CREATE TABLE dbo.KontrahentXML (
	id			INT	IDENTITY(1, 1),
	Kontrahent	XML
);
GO

INSERT INTO dbo.KontrahentXML
	(Kontrahent)
VALUES
	('<Kontrahent id="1"><Nazwa>Kontrahent1</Nazwa></Kontrahent>'),
	('<Kontrahent id="A"><NIP>1234567890</NIP></Kontrahent>')
;

SELECT *
FROM dbo.KontrahentXML;

-- with validation
IF OBJECT_ID(N'dbo.KontrahentXML', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE dbo.KontrahentXML';
GO

CREATE TABLE dbo.KontrahentXML (
	id			INT	IDENTITY(1, 1),
	Kontrahent	XML(KontrahentSchema)
);
GO

INSERT INTO dbo.KontrahentXML
	(Kontrahent)
VALUES
	('<Kontrahent id="1"><Nazwa>Kontrahent1</Nazwa></Kontrahent>'),
	('<Kontrahent typ="A">
    <Id>0</Id>
    <Nazwa>MojaFirma</Nazwa>
    <NIP>0123456789</NIP>
    <REGON>012345678</REGON>
  </Kontrahent>')
;

SELECT *
FROM dbo.KontrahentXML;