USE JPK;
GO

-- prepare data
DECLARE
	@xKontrahenci	XML
;

SELECT
	@xKontrahenci = x.k
	FROM (
		SELECT
			'@typ'	= 'A',
			k.*
		FROM dbo.Kontrahent k
		FOR XML PATH('Kontrahent'), ROOT('Kontrahenci')
	) x(k)
;

SELECT
	'KontrahenciXML'	= @xKontrahenci
;

-- .nodes(), .value(), .exists()
SELECT
	'typ'		= c.value('@typ',		'CHAR(1)'),
	'Id'		= c.value('Id[1]',		'INT'),
	'Nazwa'		= c.value('Nazwa[1]',	'VARCHAR(100)'),
	'NIP'		= c.value('NIP[1]',		'CHAR(10)'),
	'REGON'		= c.value('REGON[1]',	'CHAR(9)')
FROM @xKontrahenci.nodes('/Kontrahenci/Kontrahent') T(c)
WHERE
	1 = 1
	AND c.exist('Id[. = 0]') = 1
;