USE JPK;
GO

-- prepare data
DECLARE
	@xKontrahenci	XML
;

SELECT
	@xKontrahenci = x.k
	FROM (
		SELECT
			'@typ'	= 'A',
			k.*
		FROM dbo.Kontrahent k
		FOR XML PATH('Kontrahent'), ROOT('Kontrahenci')
	) x(k)
;

SELECT
	'KontrahenciXML'	= @xKontrahenci
;


-- .modify(): insert
SET @xKontrahenci.modify('
insert <Kontrahent typ="W">
    <Id>10</Id>
    <Nazwa>Firma 10</Nazwa>
    <NIP>1123456789</NIP>
    <REGON>332345678</REGON>
  </Kontrahent>
as last
into (/Kontrahenci)[1]
');

SELECT
	'.modify(): insert'	= @xKontrahenci
;

-- .modify(): update
SET @xKontrahenci.modify('
replace value of (/Kontrahenci/Kontrahent/@typ)[1]
with "Z"
');

SELECT
	'.modify(): update'	= @xKontrahenci
;

-- .modify(): delete
SET @xKontrahenci.modify('
delete (/Kontrahenci/Kontrahent[@typ="A"])
');

SELECT
	'.modify(): delete'	= @xKontrahenci
;