USE JPK;
GO

-- ========== FOR XML RAW ========== --

SELECT *
FROM dbo.Kontrahent
FOR XML RAW

SELECT *
FROM dbo.Kontrahent
FOR XML RAW, ELEMENTS

SELECT *
FROM dbo.Kontrahent
FOR XML RAW, ROOT('rows')

SELECT *
FROM dbo.Kontrahent
FOR XML RAW ('wiersz'), ROOT('wiersze')

SELECT *
FROM dbo.Kontrahent
FOR XML RAW ('wiersz'), ROOT('wiersze'), ELEMENTS

SELECT *
FROM dbo.Kontrahent
FOR XML RAW ('wiersz'), ROOT('wiersze'), ELEMENTS, TYPE

EXEC sp_describe_first_result_set N'
SELECT *
FROM dbo.Kontrahent
FOR XML RAW (''wiersz''), ROOT(''wiersze''), ELEMENTS
'

EXEC sp_describe_first_result_set N'
SELECT *
FROM dbo.Kontrahent
FOR XML RAW (''wiersz''), ROOT(''wiersze''), ELEMENTS, TYPE
'

SELECT
	k.*,
	ka.*
FROM dbo.Kontrahent k

	INNER JOIN dbo.KontrahentAdres ka
		ON ka.KontrahentId = k.Id

FOR XML RAW ('wiersz'), ROOT('wiersze'), ELEMENTS, TYPE

-- ========== FOR XML AUTO ========== --
SELECT *
FROM dbo.Kontrahent
FOR XML RAW

SELECT *
FROM dbo.Kontrahent
FOR XML AUTO


SELECT
	k.*,
	ka.*
FROM dbo.Kontrahent k

	INNER JOIN dbo.KontrahentAdres ka
		ON ka.KontrahentId = k.Id

FOR XML RAW ('wiersz'), ROOT('wiersze'), ELEMENTS, TYPE

SELECT
	k.*,
	ka.*
FROM dbo.Kontrahent k

	INNER JOIN dbo.KontrahentAdres ka
		ON ka.KontrahentId = k.Id

FOR XML AUTO, ROOT('wiersze'), ELEMENTS, TYPE

-- ========== FOR XML EXPLICIT ========== --

SELECT
	Tag					= 1,
	Parent				= NULL,
	[Kontrahent!1!]		= k.Id,
	[NIP!2!]			= NULL
FROM dbo.Kontrahent k

UNION ALL

SELECT
	Tag					= 2,
	Parent				= 1,
	[Kontrahent!1!]		= NULL,
	[NIP!2!]			= k.NIP
FROM dbo.Kontrahent k
FOR XML EXPLICIT

SELECT
	Tag								= 1,
	Parent							= NULL,
	[Kontrahent!1!Id!Element]		= k.Id,
	[Kontrahent!1!Nazwa!Element]	= k.Nazwa,
	[Kontrahent!1!NIP!Element]		= k.NIP,
	[Kontrahent!1!REGON!Element]	= k.REGON
FROM dbo.Kontrahent k
FOR XML EXPLICIT, ROOT('Kontrahenci')

SELECT
	Tag						= 1,
	Parent					= NULL,
	[Kontrahent!1!Id]		= k.Id,
	[Kontrahent!1!Nazwa]	= k.Nazwa,
	[Kontrahent!1!NIP]		= k.NIP,
	[Kontrahent!1!REGON]	= k.REGON
FROM dbo.Kontrahent k
FOR XML EXPLICIT, ROOT('Kontrahenci')

-- ========== FOR XML PATH ========== --
SELECT *
FROM dbo.Kontrahent
FOR XML PATH

SELECT *
FROM dbo.Kontrahent
FOR XML PATH('')

SELECT
	'@typ'	= 'A',
	k.*
FROM dbo.Kontrahent k
FOR XML PATH('Kontrahent'), ROOT('Kontrahenci')