USE JPK;
GO

-- prepare data
DECLARE
	@xKontrahenci	XML
;

SELECT
	@xKontrahenci = x.k
	FROM (
		SELECT
			'@typ'	= 'A',
			k.*
		FROM dbo.Kontrahent k
		FOR XML PATH('Kontrahent'), ROOT('Kontrahenci')
	) x(k)
;

SELECT
	'KontrahenciXML'	= @xKontrahenci
;

SELECT
	'Kontrahenci'	= c.query('.'),
	'Kontrahent'	= c.query('Kontrahent'),
	'IloscA'		= c.query('count(Kontrahent[@typ="A"])'),
	'Typy'			= c.query('distinct-values(Kontrahent/@typ)')
FROM @xKontrahenci.nodes('/Kontrahenci') T(c)